// Stackable.h : Declaration of the cStackable

#ifndef __STACKABLE_H_
#define __STACKABLE_H_

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// cStackable
class ATL_NO_VTABLE cStackable : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<cStackable, &CLSID_Stackable>,
	public IDispatchImpl<IStackable, &IID_IStackable, &LIBID_DecalFilters>
{
public:
	cStackable()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_STACKABLE)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(cStackable)
	COM_INTERFACE_ENTRY(IStackable)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IStackable
public:
};

#endif //__STACKABLE_H_
